cURL
curl --request POST \
--url http://sandbox.mintlify.com/plants \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"id": 123,
"tag": "<string>"
}
'import requests
url = "http://sandbox.mintlify.com/plants"
payload = {
"name": "<string>",
"id": 123,
"tag": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', id: 123, tag: '<string>'})
};
fetch('http://sandbox.mintlify.com/plants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"tag": "<string>"
}{
"error": 123,
"message": "<string>"
}Create Plant
Creates a new plant in the store
POST
/
plants
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Plant to add to the store
Last modified on January 21, 2025
Was this page helpful?
⌘I